Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 622829 - [RFE] Support for message priority (PTC hotfix)
[RFE] Support for message priority (PTC hotfix)
Status: CLOSED NOTABUG
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
All Linux
medium Severity medium
: 1.3
: ---
Assigned To: messaging-bugs
MRG Quality Engineering
: FutureFeature, Triaged
Depends On: 453538
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-10 10:09 EDT by Gordon Sim
Modified: 2010-08-10 10:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 453538
Environment:
Last Closed: 2010-08-10 10:25:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2010-08-10 10:09:57 EDT
+++ This bug was initially created as a clone of Bug #453538 +++

Deliver high priority messages in preference to low priority messages.

(Could also use priority to discard messages based on queue policy).

See https://issues.apache.org/jira/browse/QPID-529

--- Additional comment from gsim@redhat.com on 2010-03-30 04:51:57 EDT ---

The AMQP 0-10 specification requires at least two levels.

--- Additional comment from agoldste@redhat.com on 2010-04-28 10:26:19 EDT ---

We'd additionally like to be able to get messages out of the queue using an algorithm that can help avoid starvation of lower priority messages.  We'd like to be able to specify that a priority queue should delivery up to "n" messages per priority level per cycle (or all messages, to use the standard/default behavior).  This way, we could get e.g. up to 10 high priority messages, then up to 10 medium priority messages, then up to 10 low priority messages, then repeat.  If there are more than 10 messages in a given priority level, leave the remainder in that priority level and move on to the next one.  This configuration option can help avoid starvation of the lower priorities (if there are lots of high priority messages, those with lower priorities might never be delivered).
Comment 1 Gordon Sim 2010-08-10 10:25:30 EDT
Cloned https://bugzilla.redhat.com/show_bug.cgi?id=453538 then thought better of it...

Note You need to log in before you can comment on or make changes to this bug.